## ros-one-moveit-sim-controller 0.3.0-1jammy.20251023.1549

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1jammy.20251023.1549) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 15:49:35 +0000

ros-one-moveit-sim-controller (0.3.0-0jammy) jammy; urgency=high

  * Fix shared pointer conversion bug (#9 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/9>)
  * Fixup SFINAE detection of boilerplate API (#6 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/6>)
  * Cleanup & Fix main executable (#4 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/4>)
    * if the pose does not exist, still initialize joints Otherwise this warning should be fatal...
    * conditionally call loop only when available
  * Contributors: Dave Coleman, Henning Kayser, Jafar Abdi, Michael Görner, Rick Staa

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-moveit-sim-controller (0.2.0-0jammy) jammy; urgency=high

  * Cleanup UR5 example (#2 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/2>)
  * Update README
  * Add example simulated robot with UR5
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-moveit-sim-controller (0.1.0-0jammy) jammy; urgency=high

  * Add C++11 support
  * Fixed occational Nan
  * Minor formatting
  * added roslint and roslint changes
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 20 Oct 2016 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.5-0jammy) jammy; urgency=high

  * Fixed deprecated API for rosparam_shortcuts
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.4-0jammy) jammy; urgency=high

  * Improved rosparam_shortcuts api
  * Fixed initialization of default joint positions
  * Fix travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.3-0jammy) jammy; urgency=high

  * Fix missing dep
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.2-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

## ros-one-moveit-sim-controller 0.3.0-1jammy.20251208.0848

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1jammy.20251208.0848) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 08 Dec 2025 08:48:23 +0000

## ros-one-moveit-sim-controller 0.3.0-1jammy.20260128.2215

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1jammy.20260128.2215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Jan 2026 22:15:44 +0000

## ros-one-moveit-sim-controller 0.3.0-1jammy.20260301.2207

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(moveit_sim_controller)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  ros_control_boilerplate
  rosparam_shortcuts
  roscpp
  roslint
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES moveit_sim_hw_interface
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
    ros_control_boilerplate
    rosparam_shortcuts
    roscpp
)

include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

###########
## Build ##
###########

# Hardware Interface
add_library(moveit_sim_hw_interface src/moveit_sim_hw_interface.cpp)
target_link_libraries(moveit_sim_hw_interface
  ${catkin_LIBRARIES}
)

## Main executable
add_executable(moveit_sim_hw_main src/moveit_sim_hw_main.cpp)
target_link_libraries(moveit_sim_hw_main
  moveit_sim_hw_interface
  ${catkin_LIBRARIES}
)

#############
## Testing ##
#############

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS moveit_sim_hw_interface moveit_sim_hw_main
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1jammy.20260301.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 01 Mar 2026 22:07:13 +0000

=== debian/control ===
Source: ros-one-moveit-sim-controller
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-ros-control-boilerplate, ros-one-roscpp, ros-one-roslint, ros-one-rosparam-shortcuts
Homepage: https://github.com/davetcoleman/moveit_sim_controller
Standards-Version: 3.9.2

Package: ros-one-moveit-sim-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-ros-control-boilerplate, ros-one-roscpp, ros-one-rosparam-shortcuts
Description: A simulation interface for a hardware interface for ros_control, and loads default joint values from SRDF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-sim-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-sim-controller 0.3.0-1noble.20251023.1625

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1noble.20251023.1625) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 16:25:29 +0000

ros-one-moveit-sim-controller (0.3.0-0noble) noble; urgency=high

  * Fix shared pointer conversion bug (#9 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/9>)
  * Fixup SFINAE detection of boilerplate API (#6 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/6>)
  * Cleanup & Fix main executable (#4 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/4>)
    * if the pose does not exist, still initialize joints Otherwise this warning should be fatal...
    * conditionally call loop only when available
  * Contributors: Dave Coleman, Henning Kayser, Jafar Abdi, Michael Görner, Rick Staa

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-moveit-sim-controller (0.2.0-0noble) noble; urgency=high

  * Cleanup UR5 example (#2 <https://github.com/PickNikRobotics/moveit_sim_controller/issues/2>)
  * Update README
  * Add example simulated robot with UR5
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-moveit-sim-controller (0.1.0-0noble) noble; urgency=high

  * Add C++11 support
  * Fixed occational Nan
  * Minor formatting
  * added roslint and roslint changes
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 20 Oct 2016 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.5-0noble) noble; urgency=high

  * Fixed deprecated API for rosparam_shortcuts
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.4-0noble) noble; urgency=high

  * Improved rosparam_shortcuts api
  * Fixed initialization of default joint positions
  * Fix travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.3-0noble) noble; urgency=high

  * Fix missing dep
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

ros-one-moveit-sim-controller (0.0.2-0noble) noble; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

## ros-one-moveit-sim-controller 0.3.0-1noble.20251208.1524

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1noble.20251208.1524) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 08 Dec 2025 15:24:03 +0000

## ros-one-moveit-sim-controller 0.3.0-1noble.20260128.2224

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1noble.20260128.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Jan 2026 22:24:50 +0000

## ros-one-moveit-sim-controller 0.3.0-1noble.20260301.2200

=== debian/changelog ===
ros-one-moveit-sim-controller (0.3.0-1noble.20260301.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 01 Mar 2026 22:00:53 +0000
